--------------------------------------------------------------------------------
-- Copyright (c) 2002 Rational Software Corporation. All rights reserved.     --
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version:                                                    --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: attol_tag.adb                                      --
--                         UniTesting part of TDP for Ada                     --
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- $Revision: 1.3 $
-- $Descr: Ada95 extension for Ada95 TDP$
-------------------------------------------------------------------------------
--
-- Ada95 Specific part for Tag support of attol package.
--
-------------------------------------------------------------------------------

with attol_serv ;
with attol_comm ;
with attol_link ;

use attol_serv;
use attol_comm;

package body Attol_Tag is

  use type Attol.ModeValid,Attol.ModeCheck,Attol.Attol_Int;

  procedure check_tag(t1,t2:ada.tags.tag;
                      error : in out Attol.Attol_int) is
  begin
    if ada.tags."/="(t1,t2) then
      error := 1;
    end if;
  end;

  -- edv on tags
  procedure edv_ada(CheckMode   :       in      Attol.ModeCheck   ;
                    valeur      :       in      ada.tags.tag      ;
                    numero      :       in      Attol.attol_int   ;
                    ev          :       in      ada.tags.tag      ;
                    valid       :       in      Attol.ModeValid := Attol.StdValue) is
    ok:boolean;
  begin
    ok:=ada.tags."="(valeur,ev);
    if ((not Attol.mode_tab) or ((CheckMode = Attol.Check) and ((not ok)or (valid/=Attol.StdValue)))) then
      put('V');
      Attol.Put_Var_Line_Beginning(numero);
      put(ada.tags.external_tag(valeur));
      if ((CheckMode = Attol.UnCheck) or ((ok)and (valid=Attol.StdValue))) Then
        put(" RA=T");
      else
        put(" RA=F");
        Attol.resultat_global:=false;
      end if;
      if (CheckMode = Attol.Check) then
        put(" MI=");
        put(ada.tags.external_tag(ev));
        put(" MA=");
        put(ada.tags.external_tag(ev));
      end if;
      put_line(Attol.rio);
    end if; -- mode_tab
  end; -- edv on tags

end Attol_Tag;
